/*******************************************************************************
* File Name: EZI2C_1_SCBCLK.h
* Version 2.0
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_EZI2C_1_SCBCLK_H)
#define CY_CLOCK_EZI2C_1_SCBCLK_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/

void EZI2C_1_SCBCLK_Start(void);
void EZI2C_1_SCBCLK_Stop(void);

void EZI2C_1_SCBCLK_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 EZI2C_1_SCBCLK_GetDividerRegister(void);
uint8  EZI2C_1_SCBCLK_GetFractionalDividerRegister(void);

#define EZI2C_1_SCBCLK_Enable()                         EZI2C_1_SCBCLK_Start()
#define EZI2C_1_SCBCLK_Disable()                        EZI2C_1_SCBCLK_Stop()
#define EZI2C_1_SCBCLK_SetDividerRegister(clkDivider, reset)  \
                        EZI2C_1_SCBCLK_SetFractionalDividerRegister((clkDivider), 0)
#define EZI2C_1_SCBCLK_SetDivider(clkDivider)           EZI2C_1_SCBCLK_SetDividerRegister((clkDivider), 1)
#define EZI2C_1_SCBCLK_SetDividerValue(clkDivider)      EZI2C_1_SCBCLK_SetDividerRegister((clkDivider) - 1, 1)


/***************************************
*             Registers
***************************************/

#define EZI2C_1_SCBCLK_DIV_REG    (*(reg32 *)EZI2C_1_SCBCLK__REGISTER)
#define EZI2C_1_SCBCLK_ENABLE_REG EZI2C_1_SCBCLK_DIV_REG

#endif /* !defined(CY_CLOCK_EZI2C_1_SCBCLK_H) */

/* [] END OF FILE */
