/*******************************************************************************
* File Name: .h
* Version 1.10
*
* Description:
*  This private file provides constants and parameter values for the
*  SCB Component in _EZI2C mode.
*  Please, do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_EZI2C_PVT_EZI2C_1_H)
#define CY_SCB_EZI2C_PVT_EZI2C_1_H

#include "EZI2C_1_EZI2C.h"


/***************************************
*      EZI2C Private Vars
***************************************/

extern volatile uint8 EZI2C_1_curStatus; /* Status byte */
extern uint8 EZI2C_1_fsmState;           /* FSM state   */

/* Variables intended to be used with Buffer1: Primary slave address */
extern volatile uint8 * EZI2C_1_dataBuffer1; /* Pointer to data buffer1       */
extern uint16 EZI2C_1_bufSizeBuf1; /* Size of buffer1 in bytes      */
extern uint16 EZI2C_1_protectBuf1; /* Start index of write protected area buffer1 */
extern uint8 EZI2C_1_offsetBuf1; /* Current offset within buffer1 */
extern uint8 EZI2C_1_indexBuf1;  /* Current index within buffer1  */


#if(EZI2C_1_SECONDARY_ADDRESS_ENABLE_CONST)
    extern uint8 EZI2C_1_addrBuf1; /* Primary slave address. Used for software comparision   */
    extern uint8 EZI2C_1_addrBuf2; /* Secondary slave address. Used for software comparision */

    /* Variables intended to be used with Buffer1: Primary slave address */
    extern volatile uint8 * EZI2C_1_dataBuffer2; /* Pointer to data buffer2       */
    extern uint16 EZI2C_1_bufSizeBuf2; /* Size of buffer2 in bytes      */
    extern uint16 EZI2C_1_protectBuf2; /* Start index of write protected area buf2 */
    extern uint8 EZI2C_1_offsetBuf2; /* Current offset within buffer2 */
    extern uint8 EZI2C_1_indexBuf2;  /* Current index within buffer2  */
#endif /* (EZI2C_1_SECONDARY_ADDRESS_ENABLE_CONST) */


/***************************************
*     Private Function Prototypes
***************************************/

#if(EZI2C_1_SCB_MODE_EZI2C_CONST_CFG)
    void EZI2C_1_EzI2CInit(void);
#endif /* (EZI2C_1_SCB_MODE_EZI2C_CONST_CFG) */

void EZI2C_1_EzI2CStop(void);
#if(EZI2C_1_EZI2C_WAKE_ENABLE_CONST)
    void EZI2C_1_EzI2CSaveConfig(void);
    void EZI2C_1_EzI2CRestoreConfig(void);
#endif /* (EZI2C_1_EZI2C_WAKE_ENABLE_CONST) */

#endif /* (CY_SCB__EZI2C_PVT_EZI2C_1_H) */


/* [] END OF FILE */
